Bug 431536 - (CVE-2008-0411) CVE-2008-0411 ghostscript: stack-based buffer overflow in .seticcspace operator
CVE-2008-0411 ghostscript: stack-based buffer overflow in .seticcspace operator
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
reported=20080205,source=vendorsec,im...
: Security
Depends On: 433366 433367 433369 433370 433371 435145 435146 435147
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-05 06:28 EST by Tomas Hoger
Modified: 2016-03-04 05:46 EST (History)
3 users (show)

See Also:
Fixed In Version: 8.61-8.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-03 13:24:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch proposed by Werner Fink (415 bytes, patch)
2008-02-05 12:11 EST, Tomas Hoger
no flags Details | Diff

  None (edit)
Description Tomas Hoger 2008-02-05 06:28:39 EST
Chris Evans of Google security team has reported a buffer overflow in
zseticcspace() function in zicc.c.  The issue is over-trust of the length of a
postscript array which an attacker can set to an arbitrary length.

This issue can lead to arbitrary code execution.
Comment 4 Tomas Hoger 2008-02-05 12:11:58 EST
Created attachment 294020 [details]
Patch proposed by Werner Fink
Comment 10 Tomas Hoger 2008-02-27 11:42:47 EST
Chris Evans' advisory is public now, lifting embargo:

http://scary.beasts.org/security/CESA-2008-001.html
Comment 12 Fedora Update System 2008-02-27 12:44:11 EST
ghostscript-8.15.4-4.fc7 has been submitted as an update for Fedora 7
Comment 13 Fedora Update System 2008-02-28 16:40:02 EST
ghostscript-8.61-8.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ghostscript'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-1998
Comment 14 Fedora Update System 2008-03-03 13:24:12 EST
ghostscript-8.61-8.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2008-03-06 11:39:07 EST
ghostscript-8.15.4-4.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.